Package lxml :: Package tests :: Module test_classlookup

[frames] | no frames]

# Module test_classlookup

source code

Tests for different Element class lookup mechanisms.

Classes
| ClassLookupTestCase Test cases for different Element class lookup mechanisms.

Functions

test_suite() | source code

Variables
| xml_str = ``'``<root xmlns="myNS" xmlns:other="otherNS">\n <c1 a1``...``

Variables Details

### xml_str

Value:

      '''<root xmlns="myNS" xmlns:other="otherNS">
        <c1 a1="A1" a2="A2" other:a3="A3">
          <c2 a1="C2">0</c2>
          <c2>1</c2>
          <other:c2>2</other:c2>
        </c1>
      </root>'''